Package wx :: Class SashLayoutWindow

[frames | no frames]

## Type SashLayoutWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                SashWindow --+
                             |
                            SashLayoutWindow

Proxy of C++ SashLayoutWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
int | `GetAlignment(self)`
int | `GetOrientation(self)`
| `SetAlignment(self, alignment)`
| `SetDefaultSize(self, size)`
| `SetOrientation(self, orientation)`

Property Summary
| `Alignment`: See `GetAlignment` and `SetAlignment`
| `Orientation`: See `GetOrientation` and `SetOrientation`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxCLIP_CHILDREN|wxSW_3D, name=SashLayoutNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.SashWindow.__init__` (inherited documentation)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxCLIP_CHILDREN|wxSW_3D, name=SashLayoutNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.SashWindow.Create` (inherited documentation)

Property Details

### Alignment

See `GetAlignment` and `SetAlignment`

  Get Method:
    `GetAlignment`(self)
  Set Method:
    `SetAlignment`(self, alignment)

### Orientation

See `GetOrientation` and `SetOrientation`

  Get Method:
    `GetOrientation`(self)
  Set Method:
    `SetOrientation`(self, orientation)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:58 2007 | http://epydoc.sf.net